@echo off
echo ***** BATCH Start von Inventor
echo (c) 2006 Juergen Wagner
echo www.inventor-faq.de
echo juergen@inventor-faq.de

REM Welche IV Version lief als letztes

REG QUERY "HKEY_LOCAL_MACHINE\SOFTWARE\Autodesk\Inventor\Current Version" /v LastVersionRun | find "LastVersionRun" > %tmp%\test4.txt
set /p test= < %tmp%\test4.txt
set ivversion=%test:~26,4%

REM Version auslesen
REG QUERY "HKEY_LOCAL_MACHINE\SOFTWARE\Autodesk\Inventor\RegistryVersion"%ivversion% /v ProductVersion | find "ProductVersion" > %tmp%\test.txt
set /p test= < %tmp%\test.txt
set version=%test:~26,2%
set sp=%test:~29,1%

REM Inventor Typ auslesen
REG QUERY "HKEY_LOCAL_MACHINE\SOFTWARE\Autodesk\Inventor\RegistryVersion"%ivversion% /v ProductEdition | find "ProductEdition" > %tmp%\test2.txt
set /p test= < %tmp%\test2.txt
set ivtyp=%test:~26,6%
REM echo %ivtyp%

echo.
echo Du hast %ivtyp% %version% mit SP %sp% im Einsatz
echo.

c:
cd\
cd iv_temp
del /s /f /q c:\iv_temp\*.* 
C:\Programme\curl\curl.exe -o sp.txt "http://usa.autodesk.com/adsk/servlet/ps/dl/index?siteID=123112&id=2334435&linkID=4183232" 

REM Aktueller SP + 1
set /A spx=%sp%+1
echo %spx%


set spload=%version% Service Pack %spx%
echo %spload% waere der naechste ob es ihn gibt erfaehrst du gleich

findstr /M /I /C:"%spload%" c:\iv_temp\sp.txt > %tmp%\test3.txt

set /p test= < %tmp%\test3.txt
set x=%test:~1,1%

if "%x%"==":" goto :SP_LADEN

echo.
echo.
echo.
echo Inventor ist aktuell
echo.
goto ENDE
 
:SP_LADEN
echo.
echo.
echo Es gibt einen neuen Servicepack! DOWNLOAD-Seite wird geoeffnet
start "%Homedrive%\Programme\Internet Explorer\IEXPLORE.exe" "http://usa.autodesk.com/adsk/servlet/ps/dl/index?siteID=123112&id=2334435&linkID=4183232" 
pause
goto SP_INST
:ENDE

del /s /f /q c:\iv_temp\*.* 
c:
cd\
cd iv_temp
C:\Programme\curl\curl.exe -O http://www.inventor-certified.com/graphics/R11_HardwareLibrary.zip
ren R11_HardwareLibrary.zip x.zip
C:\Programme\curl\unzip32.exe "c:\iv_temp\x"
xcopy c:\iv_temp\*.xml "C:\Programme\Autodesk\Inventor 11\Configuration" /y 
"C:\Programme\YourWare Solutions\FreeRAM XP Pro\FreeRAM XP Pro.exe" -rc -auto -quit
Net start "Autodesk EDM Server"
Net start MSSQL$AUTODESKVAULT
Net start "Autodesk Licensing Service"
"C:\Programme\Autodesk\Inventor 11\Bin\Inventor.exe"
Net stop "Autodesk EDM Server"
Net stop MSSQL$AUTODESKVAULT
Net stop "Autodesk Licensing Service"
"C:\Programme\YourWare Solutions\FreeRAM XP Pro\FreeRAM XP Pro.exe" -rc -auto -quit

:SP_INST